> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Areas



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/areas
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/areas:
    get:
      tags:
        - Project Areas
      summary: List Project Areas
      operationId: ProjectAreasController_findAll_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaListResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ProjectAreaListResponseDto:
      type: object
      properties:
        configured:
          type: boolean
        version:
          type: number
          nullable: true
        configuration:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectAreaConfigurationResponseDto'
        budget:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/ProjectAreaBudgetSummaryResponseDto'
        items:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaResponseDto'
        totalDefinitions:
          type: number
      required:
        - configured
        - version
        - configuration
        - budget
        - items
        - totalDefinitions
    ProjectAreaConfigurationResponseDto:
      type: object
      properties:
        levels:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaLevelDefinitionResponseDto'
      required:
        - levels
    ProjectAreaBudgetSummaryResponseDto:
      type: object
      properties:
        total:
          type: string
          nullable: true
        mode:
          type: string
          enum:
            - percentage
            - square_area
      required:
        - total
        - mode
    ProjectAreaResponseDto:
      type: object
      properties:
        id:
          type: string
        parentId:
          type: string
          nullable: true
        level:
          type: number
        levelKey:
          type: string
        levelLabel:
          type: string
        position:
          type: number
        code:
          type: string
          nullable: true
        name:
          type: string
        areaType:
          type: string
          nullable: true
        multiplier:
          type: number
        instanceTags:
          nullable: true
          type: array
          items:
            type: string
        budget:
          $ref: '#/components/schemas/ProjectAreaBudgetResponseDto'
        computed:
          $ref: '#/components/schemas/ProjectAreaComputedResponseDto'
      required:
        - id
        - parentId
        - level
        - levelKey
        - levelLabel
        - position
        - code
        - name
        - areaType
        - multiplier
        - instanceTags
        - budget
        - computed
    ProjectAreaLevelDefinitionResponseDto:
      type: object
      properties:
        key:
          type: string
        singularLabel:
          type: string
        pluralLabel:
          type: string
      required:
        - key
        - singularLabel
        - pluralLabel
    ProjectAreaBudgetResponseDto:
      type: object
      properties:
        percent:
          type: string
          nullable: true
        squareArea:
          type: string
          nullable: true
        squareAreaCost:
          type: string
          nullable: true
      required:
        - percent
        - squareArea
        - squareAreaCost
    ProjectAreaComputedResponseDto:
      type: object
      properties:
        effectiveInstanceCount:
          type: string
        ancestorPath:
          type: array
          items:
            $ref: '#/components/schemas/ProjectAreaAncestorResponseDto'
      required:
        - effectiveInstanceCount
        - ancestorPath
    ProjectAreaAncestorResponseDto:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
          nullable: true
        name:
          type: string
      required:
        - id
        - code
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````